Bug 536401 - (RHQ-754) "Get current values" button should trigger a fetch of the current metrics from the agent
"Get current values" button should trigger a fetch of the current metrics fro...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Monitoring (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks: rhq4 jon3
  Show dependency treegraph
 
Reported: 2008-08-25 06:04 EDT by Heiko W. Rupp
Modified: 2013-09-03 13:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 13:00:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2008-08-25 06:04:00 EDT
The get current data button on the metric data tab seems to indicate, that it triggers getting the current data values from the agent/managed resource. In reality it only triggers a page refresh.

We should add the functionality to actually really go to the managed resource - outside of an installed schedule - to gather the data.

See also http://forums.rhq-project.org/viewtopic.php?f=4&t=84
Comment 1 Joseph Marques 2008-08-25 17:29:12 EDT
but, heiko, what happens if you're viewing metric data for a compatible group that just so happens to modestly span, say, 25 agents.  do we really expect the server to go contact all known agents and wait until all data is available before displaying the page?

also, how will this work in the HA world?  each server is only going to have direct access to a subset of all known agents in the system as part of the way it natural load balances.
Comment 2 Heiko W. Rupp 2008-09-13 08:35:14 EDT
I think it could be a compromise to only allow this for single resources and not for groups. 

Groups are sort of special anyway, as in normal operation no two metrics from different resources will arrive at the same time.

This "trigger a fetch" is something that comes up every now and then from customers and users - the current behavior is erratic. The 'fake' solution would be to rename the button to 'redraw'.

HA makes things indeed somewhat more difficult. How does updating the metric schedule on server 1 work when the agent is on server 2? In this case, there needs to be some communication between servers too, as we can't wait until the agent perhaps connects to server 1 for this.
Comment 3 Len DiMaggio 2008-10-09 14:04:22 EDT
This issue will cause confusion for SOA-P users - the legacy ESB mgmt console does allow for async collections of stats:

   https://jira.jboss.org/jira/browse/SOA-929

So - can we get it fixed?   ;-)

Comment 4 John Mazzitelli 2008-10-21 08:44:23 EDT
once this is implemented, the label of the button should also change to say "Get Live Values" as opposed to "Get Current Values".
Comment 5 Red Hat Bugzilla 2009-11-10 16:16:16 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-754
Comment 6 wes hayutin 2010-02-16 16:10:09 EST
Mass move to component = Monitoring
Comment 7 John Mazzitelli 2011-02-17 12:09:56 EST
i will take a look to see what can be done.
Comment 8 John Mazzitelli 2011-02-22 16:58:54 EST
I have gwt-ified the Measurement>Tables subtab. And there is now a "Get Live Data" button on it. You select one or more metrics in the table and you click the button to pop up a dialog that contains a table of the metrics with their live data as retrieved from the agent.
Comment 9 Mike Foley 2011-05-03 15:58:53 EDT
verified RHQ 4.0 community release, as follows:  on Monitoring, Tables sub-tab ... there is the both Refresh (to reload the page), and Get Live Data ... to get live data from the agent.  Both seem to work.  When I click Get Live Data on a volatile resource (User Load on the RHQ Agent) I see the numbers changing each time.
Comment 10 Heiko W. Rupp 2013-09-03 13:00:49 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.